unit U_ChooseDesignBoxParams;

interface

uses
  Windows, U_LNG, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxControls, cxContainer, cxEdit, cxCheckBox, ExtCtrls, RzPanel,
  cxLookAndFeelPainters, StdCtrls, cxButtons, siComp, siLngLnk, RzButton,
  RzRadChk, cxGraphics, cxLookAndFeels, Menus;

type
  TF_ChooseDesignBoxParams = class(TForm)
    gbDesignBoxParams: TRzGroupBox;
    bOK: TcxButton;
    bCancel: TcxButton;
    lng_Forms: TsiLangLinked;
    cbShowDesignBoxName: TRzCheckBox;
    cbShowDesignBoxSign: TRzCheckBox;
    cbShowDesignBoxMark: TRzCheckBox;
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute: Boolean;
  end;

var
  F_ChooseDesignBoxParams: TF_ChooseDesignBoxParams;

implementation
uses U_Common, U_BaseCommon;

{$R *.dfm}

{ TF_ChooseDesignBoxParams }

function TF_ChooseDesignBoxParams.Execute: Boolean;
begin
  try
    Result := False;
    if ShowModal = mrOK then
    begin
      Result := True;
    end;
  except
    on E: Exception do AddExceptionToLogEx('TF_ChooseDesignBoxParams.Execute', E.Message);
  end;
end;

end.
